Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.personalize
Class NameValuePersonalizationObject

    java.lang.Object
      |
      +--oracle.portal.provider.v2.preference.NameValuePreferenceDataObject
            |
            +--oracle.portal.provider.v2.personalize.NameValuePersonalizationObject

All Implemented Interfaces:
  PersonalizationObject, PreferenceDataObject

Direct Known Subclasses:
  URLPersonalizationObject

public class NameValuePersonalizationObject
extends NameValuePreferenceDataObject
implements PersonalizationObject

Base customization data class. Manages customization data all portlets should support. By default, this is the portlet's title and short title.

Generally, portlets should support customization even if they only allow a user to customize the titlebar. Portlets providing further customization (data) should use a subclassed version of this class as a data class and override the init() method so that further data items can be defaulted.

Constructor Summary
`NameValuePersonalizationObject()` Null Constructor.

Method Summary
`java.lang.String` | `getPortletShortTitle()` Gets the string to be displayed for the Portlet's title when there is limited space.
`java.lang.String` | `getPortletTitle()` Gets the string to be displayed on the Portlet's title bar.
`java.lang.String` | `getReferencePath()` Gets the the identifying path string used to store and retrieve the contents of this PersonalizationObject from the storage medium
`void` | `init(PortletReference pr)` Init method used to initialize the data object after instantiation via its null constructor.
`void` | `setPortletShortTitle(java.lang.String title)` Sets the string to be displayed for the Portlet's title when there is limited space.
`void` | `setPortletTitle(java.lang.String title)` Sets the string to be displayed on the Portlet's title bar.
`void` | `setReferencePath(java.lang.String path)` Optionally records the identifying path string used to store and retrieve the contents of this PersonalizationObject from the storage medium

Methods inherited from class oracle.portal.provider.v2.preference.NameValuePreferenceDataObject
`getBoolean, getBooleanArray, getContentVersion, getDouble, getDoubleArray, getFloat, getFloatArray, getInteger, getIntegerArray, getLong, getLongArray, getNames, getString, getStringArray, putBoolean, putBooleanArray, putDouble, putDoubleArray, putFloat, putFloatArray, putInteger, putIntegerArray, putLong, putLongArray, putString, putStringArray, read, remove, setContentVersion, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.portal.provider.v2.preference.PreferenceDataObject
`getContentVersion, read, setContentVersion, write`

Constructor Detail

### NameValuePersonalizationObject

    public NameValuePersonalizationObject()

  Null Constructor.

Method Detail

### init

    public void init(PortletReference pr)

  Init method used to initialize the data object after instantiation via its null constructor. Defined by the PersonalizationObject interface. Personalization manager is expected to call the init method of data objects that implement the PersonalizationObject interface.

  Behavior is to initialize the title using the (static) title from the portlet metadata (`portlet.getTitle()`). The portlet's default Locale is used to retrieve the title.

  Specified by:
    `init` in interface `PersonalizationObject`

### setReferencePath

    public void setReferencePath(java.lang.String path)

  Optionally records the identifying path string used to store and retrieve the contents of this PersonalizationObject from the storage medium

  Parameters:
    `path` - identifying path against which the PersonalizationObject data is stored

### getReferencePath

    public java.lang.String getReferencePath()

  Gets the the identifying path string used to store and retrieve the contents of this PersonalizationObject from the storage medium

  Returns:
    identifying path string

### setPortletTitle

    public void setPortletTitle(java.lang.String title)

  Sets the string to be displayed on the Portlet's title bar.

  Parameters:
    `title` - string to be displayed on the Portlet's title bar.

### getPortletTitle

    public java.lang.String getPortletTitle()

  Gets the string to be displayed on the Portlet's title bar.

  Returns:
    title string to be displayed on the Portlet's title bar.

### setPortletShortTitle

    public void setPortletShortTitle(java.lang.String title)

  Sets the string to be displayed for the Portlet's title when there is limited space. For example the menu item in mobile page.

  Parameters:
    `title` - string to be displayed for the Portlet's title when there is limited space.

### getPortletShortTitle

    public java.lang.String getPortletShortTitle()

  Gets the string to be displayed for the Portlet's title when there is limited space. For example the menu item in mobile page.

  Returns:
    title string to be displayed for the Portlet's title when there is limited space.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.